Subject: [bug#74676] [core-packages-team 5/5] DRAFT gnu: gcc: Update gcc, gcc-toolchain to 14.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 29 Dec 2024 16:05:34 +0100

Hello,

Janneke Nieuwenhuizen <[email-masked]> skribis:

> Before pointing the build farm to core-packages-team and starting the
> "real work" we may want to think about how to go forward.  On the one
> hand, having CFLAGS patches littered all over the place is not great, on
> the other hand, if we were to add compatibility flags to a wrapper for
> gcc, or into build systems, we may never get rid of such a "feature".
> Thoughts?

The -Wno-implicit-function-declaration CFLAGS/patches all around are not
pretty, but they’ll vanish over time.

A wrapper would be problematic for the reason you give notably.  (In the
early days of Guix, I tried really hard to avoid compiler wrappers,
which is what Nixpkgs has, to remain as close as possible to the
toolchain and to avoid “invisible magic” afforded by wrappers.)

Ludo’.